Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 13-09-2021 17:33:01

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (stable)
Noyau : Linux -5.10.0-8-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

gnome 40

bonjour big_smile  big_smile  big_smile

je viens de recevoir , aujourd'hui , lundi 13 septembre , mon bureau gnome 40 .

le bureau est fonctionnel .

petite amélioration par rapport à l' ancienne version : le bureau n'a pas planté dès son installation .

par contre , les extensions , elles , sont restées réglées pour le bureau 3.38 .

donc , actuellement , aucune ne fonctionne .

j'ai perdu ma personnalisation .

aucune extension ne fonctionne et certaines ont même été déclarées obsolètes .

des soucis analogues vous aussi ?

comment les avez vous résolus ?

des commentaires au sujet de ce bureau gnome 40 ?

j'attends vos commentaires / avis .

amicalement ,

alain .

coyotus.png

Hors ligne

#2 13-09-2021 19:37:37

robert2a
Membre
Inscription : 15-11-2014

Re : gnome 40

Bonjour
rien a signaler , je suis sous gnome-core + wayland sans extension sous sid


apt policy gnome-core
gnome-core:
  Installé : 1:40+1
  Candidat : 1:40+1
 Table de version :
 *** 1:40+1 500
        500 https://deb.debian.org/debian bookworm/main amd64 Packages
        500 https://deb.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status
     1:3.38+3 500
        500 https://deb.debian.org/debian bullseye/main amd64 Packages
 


ps: pas mit gnome complet , paquet "gnome" mais juste "gnome-core"
faudra que je regarde ceci , a priori rien de grave


journalctl -r -p err
-- Journal begins at Mon 2021-09-13 17:03:28 CEST, ends at Mon 2021-09-13 19:34:04 CEST. --
sept. 13 18:43:14 raven2200g systemd[1]: Failed to start Refresh fwupd metadata and update motd.
sept. 13 17:05:19 raven2200g pulseaudio[1229]: GetManagedObjects() failed: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the >
sept. 13 17:05:02 raven2200g gdm-launch-environment][707]: GLib-GObject: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
sept. 13 17:05:02 raven2200g gdm-launch-environment][707]: pam_systemd(gdm-launch-environment:session): Failed to release session: Appel système interrompu
sept. 13 17:05:02 raven2200g gnome-session-binary[803]: GLib-CRITICAL: g_hash_table_foreach_remove_or_steal: assertion 'version == hash_table->version' failed
sept. 13 17:04:53 raven2200g gdm-password][1143]: gkr-pam: unable to locate daemon control file
sept. 13 17:04:32 raven2200g pulseaudio[788]: GetManagedObjects() failed: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the m
 


je fais pas avancer ton souci  smile

Hors ligne

#3 13-09-2021 20:09:02

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (stable)
Noyau : Linux -5.10.0-8-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : gnome 40

apt policy gnome-core  gnome-shell

gnome-core:
  Installé : (aucun)
  Candidat : 1:40+1
 Table de version :
     1:40+1 500
        100 https://deb.debian.org/debian testing/main amd64 Packages
        500 https://deb.debian.org/debian unstable/main amd64 Packages
     1:3.38+3 100
        100 http://deb.debian.org/debian stable/main amd64 Packages
gnome-shell:
  Installé : 40.4-3
  Candidat : 40.4-3
 Table de version :
 *** 40.4-3 500
        500 https://deb.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     3.38.6-1 100
        100 https://deb.debian.org/debian testing/main amd64 Packages
     3.38.4-1 100
        100 http://deb.debian.org/debian stable/main amd64 Packages
 



journalctl -b -p err

Hint: You are currently not seeing messages from other users and the system.
      Users in groups 'adm', 'systemd-journal' can see all messages.
      Pass -q to turn off this notice.
-- Journal begins at Sat 2021-08-28 22:11:23 CEST, ends at Mon 2021-09-13 20:06:31 CEST. --
sept. 13 15:28:41 sid systemd[2737]: kde-baloo.service: Failed at step EXEC spawning /usr/bin/kde-systemd-start-condition: No such file or directory
sept. 13 15:28:55 sid pulseaudio[2465]: GetManagedObjects() failed: org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms)
sept. 13 18:17:54 sid pulseaudio[2465]: ALSA woke us up to write new data to the device, but there was actually nothing to write.
sept. 13 18:17:54 sid pulseaudio[2465]: Most likely this is a bug in the ALSA driver 'snd_usb_audio'. Please report this issue to the ALSA developers.
sept. 13 18:17:54 sid pulseaudio[2465]: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.
 



j'installe gnome- core ?

sudo apt -s install --reinstall gnome-core

[sudo] Mot de passe de alain :
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Les paquets supplémentaires suivants seront installés :
  gedit gedit-common gir1.2-gtksource-4
Paquets suggérés :
  gedit-plugins gnome
Les NOUVEAUX paquets suivants seront installés :
  gedit gedit-common gir1.2-gtksource-4 gnome-core
0 mis à jour, 4 nouvellement installés, 0 à enlever et 0 non mis à jour.
Inst gedit-common (40.1-2 Debian:testing, Debian:unstable [all])
Inst gir1.2-gtksource-4 (4.8.2-1 Debian:unstable [amd64])
Inst gedit (40.1-2 Debian:testing, Debian:unstable [amd64])
Inst gnome-core (1:40+1 Debian:testing, Debian:unstable [amd64])
Conf gedit-common (40.1-2 Debian:testing, Debian:unstable [all])
Conf gir1.2-gtksource-4 (4.8.2-1 Debian:unstable [amd64])
Conf gedit (40.1-2 Debian:testing, Debian:unstable [amd64])
Conf gnome-core (1:40+1 Debian:testing, Debian:unstable [amd64])

Dernière modification par Debian Alain (13-09-2021 20:13:01)

Hors ligne

#4 14-09-2021 10:21:01

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (stable)
Noyau : Linux -5.10.0-8-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : gnome 40

quelle est la différence entre gnome - core et gnome - shell ?
doit on installer les deux systematiquement ?

apt show gnome-core


Package: gnome-core
Version: 1:40+1
Priority: optional
Section: metapackages
Source: meta-gnome3
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Installed-Size: 34,8 kB
Depends: libatk-adaptor (>= 2.38), at-spi2-core (>= 2.38), adwaita-icon-theme, baobab (>= 3.38), fonts-cantarell (>= 0.111), caribou (>= 0.4.21), dconf-cli (>= 0.38), dconf-gsettings-backend (>= 0.38), eog (>= 3.38), evince (>= 3.38), evolution-data-server (>= 3.36), sound-theme-freedesktop, gdm3 (>= 3.38), gedit (>= 3.36), glib-networking (>= 2.58), gnome-backgrounds (>= 3.38), gnome-bluetooth (>= 3.34), gnome-calculator (>= 3.38), gnome-characters (>= 3.34), gnome-contacts (>= 3.38), gnome-control-center (>= 1:3.38), gnome-disk-utility (>= 3.38), gnome-font-viewer (>= 3.34), gnome-keyring (>= 3.36), libpam-gnome-keyring (>= 3.36), gnome-logs (>= 3.36), gnome-menus (>= 3.36), gnome-online-accounts (>= 3.36), gnome-online-miners (>= 3.34), gnome-session (>= 3.38), gnome-settings-daemon (>= 3.38), gnome-shell (>= 3.38), gnome-shell-extensions (>= 3.38), gnome-software (>= 3.36), gnome-system-monitor (>= 3.38), gnome-terminal (>= 3.38), gnome-themes-extra (>= 3.28), gnome-user-docs (>= 3.38), gnome-user-share (>= 3.34), gsettings-desktop-schemas (>= 3.38), gstreamer1.0-plugins-base (>= 1.14), gstreamer1.0-plugins-good (>= 1.18), gstreamer1.0-packagekit, gvfs-backends (>= 1.46), libglib2.0-bin, gvfs-fuse (>= 1.46), firefox-esr (>= 78) | firefox (>= 78) | chromium | chromium-browser | epiphany-browser, libcanberra-pulse, libproxy1-plugin-gsettings, libproxy1-plugin-webkit, librsvg2-common, gkbd-capplet (>= 3.26), nautilus (>= 3.38), pulseaudio, pulseaudio-module-bluetooth, system-config-printer-common, system-config-printer-udev, gnome-sushi (>= 3.34), totem (>= 3.38), tracker, yelp (>= 3.38), zenity (>= 3.32)
Recommends: network-manager-gnome, libproxy1-plugin-networkmanager
Suggests: gnome
Tag: interface::graphical, interface::x11, role::metapackage, role::program,
 suite::gnome, uitoolkit::gtk
Download-Size: 27,8 kB
APT-Sources: https://deb.debian.org/debian testing/main amd64 Packages
Description: environnement de bureau GNOME – composants essentiels
 Ce paquet fournit les composants principaux de l'environnement de bureau
 GNOME, un bureau intuitif et attractif.
 .
 Ce métapaquet dépend d’un ensemble de paquets essentiels, comprenant un
 gestionnaire de fichiers, un visualisateur d’image, un navigateur web, un
 lecteur vidéo et d’autres outils.
 .
 Il fournit les modules officiels du « cœur » du bureau GNOME.

N: Il y a 1 enregistrement supplémentaire. Veuillez utiliser l'opérande « -a » pour le voir

 




apt show gnome-shell


Package: gnome-shell
Version: 40.4-3
Priority: optional
Section: gnome
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Installed-Size: 3879 kB
Provides: notification-daemon, polkit-1-auth-agent
Depends: evolution-data-server (>= 3.33.1), gir1.2-accountsservice-1.0, gir1.2-atk-1.0, gir1.2-atspi-2.0 (>= 2.36), gir1.2-gcr-3 (>= 3.7.5), gir1.2-gdesktopenums-3.0 (>= 3.12), gir1.2-gdkpixbuf-2.0, gir1.2-gdm-1.0 (>= 3.18.2), gir1.2-geoclue-2.0, gir1.2-glib-2.0 (>= 1.56.0), gir1.2-gnomebluetooth-1.0 (>= 3.12.0), gir1.2-gnomedesktop-3.0 (>= 3.35.90), gir1.2-graphene-1.0 (>= 1.10.2), gir1.2-gstreamer-1.0, gir1.2-gtk-3.0 (>= 3.16), gir1.2-gtk-4.0, gir1.2-gweather-3.0 (>= 3.36), gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~), gir1.2-mutter-8 (>= 40.0), gir1.2-nm-1.0, gir1.2-nma-1.0, gir1.2-pango-1.0, gir1.2-polkit-1.0, gir1.2-rsvg-2.0, gir1.2-soup-2.4 (>= 2.40.1), gir1.2-upowerglib-1.0 (>= 0.99), gir1.2-webkit2-4.0 (>= 2.16.0), gjs (>= 1.65.1), gnome-backgrounds (>= 3.13.90), gnome-settings-daemon (>= 40~), gnome-shell-common (= 40.4-3), gsettings-desktop-schemas (>= 40~), gstreamer1.0-pipewire (>= 0.3.10), libglib2.0-bin (>= 2.53.0), python3, dconf-gsettings-backend | gsettings-backend, libatk-bridge2.0-0 (>= 2.5.3), libatk1.0-0 (>= 1.12.4), libc6 (>= 2.29), libcairo2 (>= 1.14.0), libecal-2.0-1 (>= 3.33.4), libedataserver-1.2-25 (>= 3.33.1), libgcr-base-3-1 (>= 3.8.0), libgdk-pixbuf-2.0-0 (>= 2.22.0), libgirepository-1.0-1 (>= 1.35.9), libgjs0g (>= 1.65.1), libgles2, libglib2.0-0 (>= 2.67.3), libgnome-autoar-0-0 (>= 0.1.1), libgnome-desktop-3-19 (>= 3.35.90), libgraphene-1.0-0 (>= 1.5.4), libgtk-3-0 (>= 3.21.6), libgtk-4-1 (>= 4.0.0), libical3 (>= 3.0.0), libjson-glib-1.0-0 (>= 1.5.2), libmutter-8-0 (>= 40.0), libnm0 (>= 1.10.4), libpango-1.0-0 (>= 1.37.5), libpangocairo-1.0-0 (>= 1.14.0), libpolkit-agent-1-0 (>= 0.100), libpolkit-gobject-1-0 (>= 0.94), libpulse-mainloop-glib0 (>= 13), libpulse0 (>= 13), libsecret-1-0 (>= 0.7), libsystemd0, libwayland-server0 (>= 1.0.2), libx11-6, libxfixes3
Recommends: bolt (>= 0.3), chrome-gnome-shell, gdm3 (>= 3.10.0.1-3~), gkbd-capplet, gnome-control-center (>= 1:3.25.2), gnome-menus, gnome-user-docs, ibus, iio-sensor-proxy, switcheroo-control, unzip
Suggests: gir1.2-malcontent-0 (>= 0.6.0), gir1.2-telepathyglib-0.12, gir1.2-telepathylogger-0.2 (>= 0.8.0), gnome-shell-extension-prefs
Breaks: gnome-shell-extension-appindicator (<< 36), gnome-shell-extension-autohidetopbar (<< 20180511-2~), gnome-shell-extension-caffeine (<< 0~git20171229-3~), gnome-shell-extension-dash-to-panel (<< 43), gnome-shell-extension-dashtodock (<< 70), gnome-shell-extension-desktop-icons (<< 21.04), gnome-shell-extension-desktop-icons-ng (<< 0.16.0~), gnome-shell-extension-multi-monitors (<< 0.00~git20171014.1.df5d6e4-1.1~), gnome-shell-extension-pixelsaver (<< 1.10+git20161217-49f47bf-1.1~), gnome-shell-extension-taskbar (<< 57.0-2.1~), gnome-shell-extension-top-icons-plus (<< 27-3~), gnome-shell-extension-workspaces-to-dock (<< 54~), gnome-shell-extensions (<< 40.0~), gnome-shell-pomodoro (<< 0.13.4-2.1~)
Homepage: https://wiki.gnome.org/Projects/GnomeShell
Tag: implemented-in::c, implemented-in::ecmascript, interface::graphical,
 interface::x11, role::program, uitoolkit::gtk
Download-Size: 844 kB
APT-Manual-Installed: yes
APT-Sources: https://deb.debian.org/debian unstable/main amd64 Packages
Description: interpréteur de commandes graphique pour le bureau GNOME
 GNOME Shell fournit des fonctions de base d'interface comme le changement de
 fenêtres, le lancement d'applications ou lâaffichage des notifications. Il
 tire parti des capacités des matériels graphiques modernes et introduit des
 concepts novateurs pour l'interface utilisateur pour fournir une expérience
 au jour le jour facile et agréable. GNOME Shell est lâaboutissement
 technologique de l'expérience utilisateur pour GNOME 3.

N: Il y a 2 enregistrements supplémentaires. Veuillez utiliser l'opérande « -a » pour les voir.
 



question con mais je comprends pas bien la différence ?

Hors ligne

#5 14-09-2021 10:45:47

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.10 (amd64)
(G)UI : Openbox
Inscription : 18-11-2013
Site Web

Re : gnome 40

gnome-core est un méta-paquet qui ne fournit rien par lui-même, son rôle est d’installer par dépendance tous les paquets considérés comme faisant partie du cœur d’un environnement de bureau Gnome. Il peut être désinstallé sans perdre aucune fonctionnalité, mais c’est recommandé de le conserver pour s’assurer de toujours avoir un environnement de bureau complet.

gnome-shell est un logiciel central pour le fonctionnement de Gnome, qui est utilisé pour piloter les fenêtres et applications (entre autres). Sans lui, un bureau Gnome ne fonctionnera pas correctement.

Jouer sous Debian ? Facile !

Hors ligne

#6 14-09-2021 11:27:19

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (stable)
Noyau : Linux -5.10.0-8-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : gnome 40

trouvé ceci : https://askubuntu.com/questions/457171/ … gnome-core

donc , en fait , cela  semble  aller dans ton sens , vv221 .

"gnome-core" et  "gnome-shell" semblent  être des mêta - paquets
dépendants eux mêmes  du méta - paquet "gnome" .

l'un semblant s'attacher au coeur du bureau (gnome - core) et l'autre
à l'interface (gnome - shell)

apparemment , les  deux sont complémentaires .

c'est bien çà ?

Hors ligne

#7 14-09-2021 11:57:23

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.10 (amd64)
(G)UI : Openbox
Inscription : 18-11-2013
Site Web

Re : gnome 40

Seul gnome-core est un méta-paquet.
gnome-shell contient des binaires et bibliothèques nécessaires au bon fonctionnement d’une session Gnome.

Jouer sous Debian ? Facile !

Hors ligne

#8 14-09-2021 12:01:48

robert2a
Membre
Inscription : 15-11-2014

Re : gnome 40

"gnome-shell" est obligatoire (voir "Sans lui, un bureau Gnome ne fonctionnera pas correctement. ")

"gnome-core" est une version de base de gnome (l'ensemble des composants standards)

"gnome" est la version full de gnome (voir ci dessous)


Ce métapaquet dépend de l'ensemble des composants standards de
 l’environnement de bureau GNOME, auquel sont ajoutés un jeu complet de
 greffons et d'autres applications s'intégrant avec GNOME et Debian,
 fournissant ainsi le meilleur environnement de bureau possible
 actuellement.
 



l'installateur debian installera "gnome" , tu a une alternative  avec "gnome-core" , un bureau plus léger .

Hors ligne

#9 14-09-2021 12:10:06

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (stable)
Noyau : Linux -5.10.0-8-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : gnome 40

ok , m'a légèrement trompé alors  .

concrètement , tu me conseilles quoi , vv222 ?
je l'installe ou pas ce fameux paquet "gnome-core" ?

quel lien avec les extensions de gnome ?

merci , robert2a .
je viens de voire ton post .

Dernière modification par Debian Alain (14-09-2021 12:12:03)

Hors ligne

#10 14-09-2021 13:08:09

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.10 (amd64)
(G)UI : Openbox
Inscription : 18-11-2013
Site Web

Re : gnome 40

Debian Alain a écrit :

concrètement , tu me conseilles quoi , vv222 ?
je l'installe ou pas ce fameux paquet "gnome-core" ?


Tu fais ce que tu veux tongue

Mais si tu veux éviter de te poser trop de questions, je conseille en effet d’installer et conserver gnome-core pour avoir une base commune avec les autres utilisateurs de Gnome. En contrepartie, tu te retrouveras de nouveau avec GEdit que tu avais apparemment désinstallé.

Debian Alain a écrit :

quel lien avec les extensions de gnome ?


Aucune idée, je n’ai jamais utilisé le système d’extensions de Gnome.


Jouer sous Debian ? Facile !

Hors ligne

#11 14-09-2021 13:20:31

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (stable)
Noyau : Linux -5.10.0-8-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : gnome 40

voilà , les deux paquets sont installés :

apt policy gnome-core gnome-shell


gnome-core:
  Installé : 1:40+1
  Candidat : 1:40+1
 Table de version :
 *** 1:40+1 500
        100 https://deb.debian.org/debian testing/main amd64 Packages
        500 https://deb.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     1:3.38+3 100
        100 http://deb.debian.org/debian stable/main amd64 Packages
gnome-shell:
  Installé : 40.4-3
  Candidat : 40.4-3
 Table de version :
 *** 40.4-3 500
        500 https://deb.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     3.38.6-1 100
        100 https://deb.debian.org/debian testing/main amd64 Packages
     3.38.4-1 100
        100 http://deb.debian.org/debian stable/main amd64 Packages
 



pour les extensions , j'attends .
elles sont pas encore prêtes (faites pour gnome 3.38 et non gnome 40)
a défaut , j'ai le bureau minimal de gnome .
c'est pas  terrible mais on peut s'y faire .

merci à tous .

amicalement ,

alain.

coyotus.png

Hors ligne

#12 14-09-2021 16:54:58

robert2a
Membre
Inscription : 15-11-2014

Re : gnome 40

tu n'a pas compris encore le rôle des méta-paquet pour le bureau  tongue
tu va sur synaptic et tu regarde la description de gnome et gnome-core

ps: en regardant sur synaptic , "gnome-core" est une dépendance de "gnome"  smile

Hors ligne

#13 15-09-2021 10:49:27

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (stable)
Noyau : Linux -5.10.0-8-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : gnome 40

je me tâte ....

sur ma V.M. sid  , en noyau 5.14 trunk complet (donc  avec les headers) , je n'ai pas de souci particulier avec gnome .

donc , je me demande :  je passe en noyau 5.14 trunk sur ma  sid ? (en dur)

Hors ligne

Pied de page des forums